1. Calls
Dialgood
  • DG
    • Call Control
      • Mute an active call
      • Unmute an active call
      • Clear Outbound Call Queue
      • Message Announcement
    • Live Status
      • Get transcript and transcript entries for a campaign
      • Get normalized call status and CDR details for a campaign
    • Voices
      • List available voices with optional filters and pagination
    • Calls
      • Place Outbound Call
        POST
      • Get Live Call Transcript
        GET
      • Get Call Transcript
        GET
      • Get Call Records
        GET
      • Get Call Recording
        GET
    • Agents
      • Get Agents
  • Schemas
    • Sample Schemas
      • Pet
      • Category
      • Tag
    • outbound body
    • ErrorResponse
    • ProxyControlRequestBody
    • ProxyControlResponse
    • LiveTranscriptEntry
    • LiveTranscriptResponse
    • CdrStatusResponse
    • VoiceLabels
    • Voice
    • VoicesPaginatedResponse
  1. Calls

Place Outbound Call

POST
https://api.dialgood.com/external/v1/outbound

Request

Authorization
API Key
Add parameter in header
api_token
Example:
api_token: ********************
or
API Key
Add parameter in query
api_token
Example:
api_token: ********************
or
Header Params

Body Params application/json

Examples

Responses

🟢200Success
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://api.dialgood.com/external/v1/outbound' \
--header 'Accept: application/json' \
--header 'api_token: <api-key>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "from": "string",
    "listId": "string",
    "agentId": "string",
    "contactList": [
        {
            "from": "string",
            "phone": "string"
        }
    ],
    "raw": {
        "dgName": "string",
        "dgHosted": "string",
        "_callSummaryRecipients": "string"
    },
    "customKey": "string",
    "speechSettings": {
        "synthesizer": {
            "vendor": "string",
            "language": "string",
            "voice": "string",
            "options": {}
        },
        "recognizer": {
            "vendor": "string",
            "language": "string",
            "model": "string"
        }
    }
}'
Response Response Example
{
    "status": {
        "contactListResponse": {
            "id": "0e485645-77ce-4bd2-9ce9-f36d7288296b_campaign_"
        },
        "campaignResponse": {
            "id": "ce8da1fb-00a7-4eb3-830d-88e8954a6ecb"
        },
        "status": {
            "status": true,
            "error": null,
            "message": "queued successfully"
        }
    }
}
Modified at 2026-03-06 05:03:27
Previous
List available voices with optional filters and pagination
Next
Get Live Call Transcript
Built with